Documentation
Users

Get current session

Return the session used for this request.

GET
/api/users/@me/session

Authorization

bearer
AuthorizationBearer token

User session token. Obtained from POST /api/auth/login.

In: header

Response Body

application/json

application/json

curl -X GET "https://loading/api/users/@me/session"
{
  "data": {
    "id": "abc-def-123",
    "current": false,
    "active": true,
    "fingerprint": "a1b2c3d4e5f6...",
    "expires_at": 1712000000000,
    "created_at": 1680000000000,
    "devices": [
      {
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) ...",
        "ip": "203.0.113.42",
        "last_seen": 1712000000000
      }
    ]
  },
  "error": null,
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}